Bug 910969 - Please remove any reference to ConsoleKit from X11/xinit/xinitrc-common
Summary: Please remove any reference to ConsoleKit from X11/xinit/xinitrc-common
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-14 04:05 UTC by Lennart Poettering
Modified: 2014-09-23 05:01 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-xinit-1.3.4-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-14 03:26:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Lennart Poettering 2013-02-14 04:05:08 UTC
ConsoleKit has been obsolete from F17. It's time to remove its traces from xinitrc-common.

Please remove the last four lines from /etc/X11/xinit/xinitrc-common, that read like this:

CK_XINIT_SESSION=
if [ -z "$XDG_SESSION_COOKIE" ] && [ -x /usr/bin/ck-xinit-session ]; then
    CK_XINIT_SESSION="/usr/bin/ck-xinit-session"
fi

Thanks!

Comment 1 DaveG 2013-02-21 12:39:56 UTC
The value $CK_XINIT_SESSION from /etc/X11/xinit/xinitrc-common is also used in /etc/X11/xinit/xinitrc and should be removed from there too.

Comment 2 Fedora End Of Life 2013-04-03 18:04:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Hans de Goede 2014-09-11 15:39:59 UTC
Sorry for being slow to fix this, this is fixed in the upcoming xorg-x11-xinit build.

Comment 4 Fedora Update System 2014-09-12 07:12:58 UTC
xorg-x11-xinit-1.3.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xorg-x11-xinit-1.3.4-1.fc21

Comment 5 Fedora Update System 2014-09-12 07:14:28 UTC
xorg-x11-xinit-1.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-xinit-1.3.4-1.fc20

Comment 6 Fedora Update System 2014-09-12 17:47:18 UTC
Package xorg-x11-xinit-1.3.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-xinit-1.3.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10768/xorg-x11-xinit-1.3.4-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-09-14 03:26:42 UTC
xorg-x11-xinit-1.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-09-23 05:01:48 UTC
xorg-x11-xinit-1.3.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.